DEEPNANO_BASECALL(1)

NAME
deepnano_basecall - basecaller for Oxford Nanopore MinION reads based on deep recurrent neural networks

SYNOPSIS
usage: deepnano_basecall [ARGS] [reads [reads ...]]

DESCRIPTION

  positional arguments:

    reads

  optional arguments:

-h, --help
    show this help message and exit

--template_net TEMPLATE_NET
    path to network which basecalls template (has reasonable default)

--complement_net COMPLEMENT_NET
    path to network which basecalls complement (has reasonable default)

--big_net BIG_NET
    path to network which basecalls 2D (has reasonable default)

--timing
    if set, display timing information for each read

--type TYPE
    One of: template, complement, 2d, all, use comma to separate multiple options, eg.: template,complement type of basecalling output (defaults to all)

--output OUTPUT
    output filename

--output_orig
    if set, outputs also Metrichor basecalls

--directory DIRECTORY
    Directory where read files are stored

EXAMPLES

For SQK-MAP-006 chemistry just use:
    OMP_NUM_THREADS=1 deepnano_basecall <list of fast5 files> or OMP_NUM_THREADS=1 deepnano_basecall --directory <directory with reads> It outputs basecalls for template, complement and 2D into file named output.fasta.

For SQK-MAP-005 chemistry use:
    OMP_NUM_THREADS=1 deepnano_basecall --template_net nets_data/map5temp.npz --complement_net nets_data/map5comp.npz --big_net nets_data/map5-2d.npz <list of fast5 files>

SEE ALSO

deepnano_basecall_no_metrichor(1)

AUTHOR
This manpage was written by Çağrı ULAŞ for the Debian distribution and can be used for any other usage of the program.

BUGS
Report bugs to <https://bitbucket.org/vboza/deepnano/issues>